
$(document).ready(function () {
    $("div.bhoechie-tab-menu>div.list-group>a").click(function (e) {
        e.preventDefault();
        $(this).siblings('a.active').removeClass("active");
        $(this).addClass("active");
        var index = $(this).index();
        $("div.bhoechie-tab>div.bhoechie-tab-content").removeClass("active");
        $("div.bhoechie-tab>div.bhoechie-tab-content").eq(index).addClass("active");
    });
});


function showDiv(one1, second2) {
    document.getElementById(one1).style.display = 'block';
    document.getElementById(second2).style.display = 'none';

}

$(function () {
    $('#ch3').click(function () {
        $('tr#functionhide').toggle(this.checked);
    });
})
$(function () {
    $('#ch4').click(function () {
        $('tr#functionhideedit').toggle(this.checked);
    });
})
$(function () {
    $('#none').click(function () {
        $('#ibutton').hide(this.checked);
        $('#rfid').hide(this.checked);
    });
})

$(function () {
    $('#ibuttonid').click(function () {
        $('#ibutton').show(this.checked);
        $('#rfid').hide(this.checked);
    });
})
$(function () {
    $('#rfidid').click(function () {
        $('#rfid').show(this.checked);
        $('#ibutton').hide(this.checked);
    });
})


$(function () {
    $('#enone').click(function () {
        $('#eibutton').hide(this.checked);
        $('#erfid').hide(this.checked);
    });
})

$(function () {
    $('#eibuttonid').click(function () {
        $('#eibutton').show(this.checked);
        $('#erfid').hide(this.checked);
    });
})
$(function () {

    $('#erfidid').click(function () {
        $('#erfid').show(this.checked);
        $('#eibutton').hide(this.checked);
    });
})

$(function () {

    $('#checknotify1').click(function () {
        $('#chnotify1').show(this.checked);
        $('#chnotify2').hide(this.checked);
    });
})
$(function () {

    $('#checknotify2').click(function () {
        $('#chnotify1').hide(this.checked);
        $('#chnotify2').show(this.checked);
    });
})
$(function () {

    $('#checkacmiss1').click(function () {
        $('#chacmiss1').show(this.checked);
        $('#chacmiss2').hide(this.checked);
    });
})
$(function () {

    $('#checkacmiss2').click(function () {
        $('#chacmiss2').show(this.checked);
        $('#chacmiss1').hide(this.checked);
    });
})
$(function () {

    $('#checkidling2').click(function () {
        $('#chidling2').show(this.checked);
        $('#chidling1').hide(this.checked);
    });
})
$(function () {

    $('#checkidling1').click(function () {
        $('#chidling1').show(this.checked);
        $('#chidling2').hide(this.checked);
    });
})
//vehicles tab div's hide and show

$(function () {
    $('.vehicleedit').click(function () {
        $('#addvehicle').hide();
        $('#vehicleslist').hide();
        $('#editvehicle').show();
    });
})

$(function () {
    $('.vehicleadd').click(function () {
        $('#editvehicle').hide();
        $('#vehicleslist').hide();
        $('#addvehicle ').show();
    });
})

$(function () {
    $('.backtoVL').click(function () {
        $('#addvehicle').hide();
        $('#vehicleslist').show();
        $('#editvehicle').hide();
    });
})
//device tab
$(function () {
    $('.deviceedit').click(function () {
        $('#adddevice').hide();
        $('#deviceslist').hide();
        $('#editdevice').show();
    });
})

$(function () {
    $('.deviceadd').click(function () {
        $('#editdevice').hide();
        $('#deviceslist').hide();
        $('#adddevice ').show();
    });
})

$(function () {
    $('.backtoDeL').click(function () {
        $('#adddevice').hide();
        $('#deviceslist').show();
        $('#editdevice').hide();
    });
})

//driver tab
$(function () {
    $('.driveradd').click(function () {
        $('#editdriver').hide();
        $('#driverslist').hide();
        $('#adddriver').show();
    });
});
$(function () {
    $('.backtoDERL').click(function () {
        $('#adddriver').hide();
        $('#driverslist').show();
        $('#editdriver').hide();
    });
});
$(function () {
    $('.driveredit').click(function () {
        $('#adddriver').hide();
        $('#driverslist').hide();
        $('#editdriver').show();
    });
})
//garmin tab

$(function () {
    $('#a1').click(function () {
        $('#addgar').hide();
        $('#addinggar').show();

    });
})
$(function () {
    $('#a1clear').click(function () {
        $('#addgar').show();
        $('#addinggar').hide();

    });
})


$(function () {
    $('.makeedit').click(function () {
           
        $('#addmake').hide();

        $('#editmake').show();
    });
})

//user tab
$(function () {
    $('.useradd').click(function () {
        $('#edituser').hide();
        $('#userslist').hide();
        $('#adduser').show();

    });
});
$(function () {
    $('.backtoUser').click(function () {
        $('#adduser').hide();
        $('#userslist').show();
        $('#edituser').hide();
    });
});
$(function () {
    $('.useredit').click(function () {
        $('#adduser').hide();
        $('#userslist').hide();
        $('#edituser').show();
    });
})



//Checked ListBox

var expanded = false;
function showCheckboxes() {
    var checkboxes = document.getElementById("checkboxes");
    if (!expanded) {
        checkboxes.style.display = "block";
        expanded = true;
    } else {
        checkboxes.style.display = "none";
        expanded = false;
    }
}

function showEditCheckboxes() {
    var editcheckboxes = document.getElementById("editcheckboxes");
    if (!expanded) {
        editcheckboxes.style.display = "block";
        expanded = true;
    } else {
        editcheckboxes.style.display = "none";
        expanded = false;
    }
}



//Geofence Script

$(function () {
    $('#hrfaddGeo').click(function () {
           
        $('#hrfaddGeo').hide();
        $('.Geofence').toggle();
        $('.btnupdate').hide();
        $('.btnsave').show();
       

    });
})

$(function () {
    $('.clear').click(function () {
        $('.Geofence').hide();
        $('#hrfaddGeo').show();
    });
})









